package com.bocloud.ims.entity.resource.hmc;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.IgnoreAll;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.meta.PKStrategy;

/**
 * HMC SCSI虚拟适配器
 * 
 * @author ShaolongTan
 */
@Deprecated
@Table("hmc_profile_scsi_adapter")
public class HmcProfileScsiAdapter {
    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column("adapter_id")
    private Integer adapterId;
    @Column("profile_id")
    private Long profileId;
    @Column("remote_partition_id")
    private Integer remotePartitionId; // 这个是在cmp中的id，不是数据库中hmcPartition表中的id
    @Column("remote_slot_number")
    private Integer remoteSlotNumber;
    @Column("type")
    private String type;
    @Column("is_required")
    private Boolean isRequired;

    @IgnoreAll
    private String remotePartitionName;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getProfileId() {
        return profileId;
    }

    public void setProfileId(Long profileId) {
        this.profileId = profileId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Boolean getIsRequired() {
        return isRequired;
    }

    public void setIsRequired(Boolean isRequired) {
        this.isRequired = isRequired;
    }

    public Integer getAdapterId() {
        return adapterId;
    }

    public void setAdapterId(Integer adapterId) {
        this.adapterId = adapterId;
    }

    public Integer getRemotePartitionId() {
        return remotePartitionId;
    }

    public void setRemotePartitionId(Integer remotePartitionId) {
        this.remotePartitionId = remotePartitionId;
    }

    public Integer getRemoteSlotNumber() {
        return remoteSlotNumber;
    }

    public void setRemoteSlotNumber(Integer remoteSlotNumber) {
        this.remoteSlotNumber = remoteSlotNumber;
    }

    public String getRemotePartitionName() {
        return remotePartitionName;
    }

    public void setRemotePartitionName(String remotePartitionName) {
        this.remotePartitionName = remotePartitionName;
    }
}
